const clone = require('git-clone/promise');

async function createReactApp(yargs) {
  const appname = yargs.argv._[1];
    console.info('Creating new app: ', appname);
    if (!appname || appname === '') {
      console.error(chalk.hex('#ff0000')(`
        Usage: vgcli create-react-app <appname>
      `));
      process.exit(1);
    }
    const cloned = await clone('https://github.com/visiongroupnyc/vg-react-scaffolding.git', appname);
    return;
}

module.exports = createReactApp;
